#include <conio.h>
#include <stdlib.h>
#include <malloc.h>
#include <graph.h>


void main()
{
	char  *buffer;
	char  text[8];
	long  imsize;
	short i, x = 0, width = 60, height = 27;

	// выбираем режим видиоадаптера с наибольшим разрешением

	if(!_setvideomode(_MAXRESMODE))
		exit(1);

	sprintf(text, "image");
	for(i = 1; i < 8; i++) {
		_settextposition(i, i);
		_outtext(text);
	}

	// определяем размер буфера под пиктограмму высоты height
	// и ширины width

	imsize = _imagesize(0, 0, width, height);

	// резервируем буфер памяти для пиктограммы

	buffer = malloc(imsize);
	if(buffer == NULL)
		exit(1);

	// запоминаем пиктограмму в буфере

	_getimage(0, 0, width, height, buffer);

	while(x < 400)

		// отображаем пиктограмму

		_putimage(x++, 0, buffer, _GPSET);

	getch();

	free(buffer);
}


